#! /bin/bash

HUGOCMD="hugo --enableGitInfo"
# debug alias
#HUGOCMD="hugo --enableGitInfo -v --debug --logLevel=debug --printI18nWarnings --printPathWarnings --printUnusedTemplates --templateMetrics --templateMetricsHints"

case $1 in
  main)
    $HUGOCMD -d /drone/src/public/ --baseURL https://blog.ndumas.com
    ;;
  dev)
    $HUGOCMD -d /drone/src/public/ --baseURL https://dev.blog.ndumas.com
    ;;
  drafts)
    $HUGOCMD -DF -d /drone/src/public/ --baseURL https://drafts.blog.ndumas.com
    ;;
esac
